Get ERA service line by ID
curl --request GET \
--url https://api.maxcare.ai/v4/era-service-lines/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.maxcare.ai/v4/era-service-lines/{id}"
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.maxcare.ai/v4/era-service-lines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"id": "esl_a1b2c3d456784abc9def0123456789ab",
"eraClaimId": "erc_b2c3d4e567894abc9def0123456789ab",
"claimId": "clm_c3d4e5f678904abc9def0123456789ab",
"billId": "bil_d4e5f6a789014abc9def0123456789ab",
"patientId": "pat_e5f6a7b890124abc9def0123456789ab",
"eraClaimControlNumber": "12345678",
"payerClaimControlNumber": "0000123456789",
"claimStatusCode": "1",
"claimStatusCodeDescription": "Processed as Primary",
"eraClaimChargeAmount": "13775.61",
"eraClaimPaidAmount": "13669.70",
"eraClaimPatientResponsibilityAmount": "0.00",
"checkNumber": "EFT2601234567",
"checkDate": "2026-07-08T00:00:00.000Z",
"isEra": true,
"payerName": "Blue Cross Blue Shield of Michigan",
"payerCode": "00710",
"postedAmount": "6420.00",
"unpostedAmount": "0.00",
"omittedAmount": "0.00",
"procedureCode": "J3245",
"procedureDescription": "Injection, tildrakizumab, 1 mg",
"modifiers": [
"JW"
],
"serviceDate": "2026-02-10T00:00:00.000Z",
"billedUnits": "100.000",
"paidUnits": "100.000",
"chargeAmount": "12000.00",
"allowedAmount": "8420.00",
"paidAmount": "6420.00",
"deductibleAmount": "2000.00",
"coinsuranceAmount": "0.00",
"copayAmount": "0.00",
"patientResponsibilityAmount": "2000.00",
"adjustmentAmount": "3580.00",
"adjustments": [
{
"id": "ead_e1f2a3b4c5d64e7f8a9b0c1d2e3f4a5b",
"carcGroup": "CO",
"carc": "45",
"carcDescription": "Charge exceeds fee schedule/maximum allowable",
"rarcs": [
"N130"
],
"adjustmentAmount": "9820.00",
"patientResponsibilityAmount": "0.00"
}
],
"createdAt": "2026-03-01T12:00:00.000Z",
"updatedAt": "2026-03-14T09:30:00.000Z"
}
}{
"code": "bad_request",
"message": "'id' must be a valid UUID",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "unauthorized",
"message": "Invalid or missing API key",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "forbidden",
"message": "Insufficient scope",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "not_found",
"message": "Resource not found",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Maximum 1000 requests per 60 seconds.",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}ERA Service Lines
Get ERA service line by ID
Returns a single ERA service line with its adjustments. Requires read:eras scope.
GET
/
era-service-lines
/
{id}
Get ERA service line by ID
